CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
TestPlugInInterface.h File Reference
`#include <cppunit/Test.h>`
`#include <cppunit/TestSuite.h>`
`#include <windows.h>`

Go to the source code of this file.

## Classes

class | TestPlugInInterface
| Abstract TestPlugIn for DLL. More...

## Macros

#define | WIN32_LEAN_AND_MEAN
#define | NOGDI
#define | NOUSER
#define | NOKERNEL
#define | NOSOUND
#define | NOMINMAX

## Typedefs

typedef TestPlugInInterface *(WINAPI * | GetTestPlugInInterfaceFunction) (void)

## Functions

| __declspec (dllexport) TestPlugInInterface *GetTestPlugInInterface()

## Macro Definition Documentation

#define NOGDI

#define NOKERNEL

#define NOMINMAX

#define NOSOUND

#define NOUSER

#define WIN32_LEAN_AND_MEAN

## Typedef Documentation

typedef TestPlugInInterface*(WINAPI * GetTestPlugInInterfaceFunction) (void)

## Function Documentation

__declspec | ( | dllexport |  | ) |

| Send comments to: CppUnit Developers